/// <reference types="node" />
import { ITemplateRequest, IVariables } from '../types';
export declare class TemplateRequest implements ITemplateRequest {
    private readonly content;
    readonly path: ITemplateRequest['path'];
    readonly variables: IVariables;
    constructor(args: {
        path: ITemplateRequest['path'];
        content: Buffer | string;
        variables: IVariables;
    });
    readonly isBinary: boolean;
    readonly buffer: Buffer;
    readonly text: string | undefined;
}
