"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TemplateRequest = (function () {
    function TemplateRequest(args) {
        var path = args.path, content = args.content, variables = args.variables;
        this.path = path;
        this.content = content;
        this.variables = variables;
    }
    Object.defineProperty(TemplateRequest.prototype, "isBinary", {
        get: function () {
            return typeof this.content !== 'string';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TemplateRequest.prototype, "buffer", {
        get: function () {
            return typeof this.content === 'string'
                ? Buffer.from(this.content)
                : this.content;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TemplateRequest.prototype, "text", {
        get: function () {
            return this.isBinary ? undefined : this.content;
        },
        enumerable: true,
        configurable: true
    });
    return TemplateRequest;
}());
exports.TemplateRequest = TemplateRequest;
