import * as fg from 'fast-glob';
export function find(pattern, options = {}) {
    return new Promise(async (resolve, reject) => {
        const { type = 'FILES', dot = false } = options;
        const onlyDirectories = type === 'DIRS' ? true : false;
        const args = { onlyDirectories, unique: true, dot };
        const res = await fg(pattern, args);
        resolve(res);
    });
}
